V1 and V2Products (V1)
List a product's variants
Get related variants of a parent product
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Path Parameters
product_id*string
Response Body
application/json
application/json
curl -X GET 'https://example.com/api/v1/products/string/variants'{ "data": [ { "_parent_id": "64130527e3628de6cf7cdf7e", "assets": [], "attributes": {}, "categories": [], "created": "2023-03-16T12:02:03.395000+00:00", "gtin": null, "id": "6413053be3628de6cf7cdf7f", "label": null, "modified": "2023-03-16T12:02:03.439000+00:00", "num_variations": 0, "overwritten_attributes": [], "product_family_id": "6405f5ce7288e165f149eb3c", "product_family_model_id": "6405f74a7288e165f149eb47", "product_type": "VARIANT", "relationships": [], "sku": "my_variant_product", "status": "Draft", "thumbnail": null } ]}